View Issue Details

IDProjectCategoryView StatusLast Update
0032924Open CASCADEOCCT:Configurationpublic2022-04-16 15:25
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityfeature 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032924: Configuration, CMake - export INTERFACE_INCLUDE_DIRECTORIES within targets
DescriptionCurrently, using OCCT as dependency in the project requires three steps, finding package:
> find_package (OpenCASCADE REQUIRED)

including headers folder:
> include_directories(${OpenCASCADE_INCLUDE_DIR})

and linking to specific Toolkits:
> target_link_libraries (${PROJECT_NAME} PRIVATE TKernel TKMath)

The second step could be avoided if OCCT CMake configuration files will provide INTERFACE_INCLUDE_DIRECTORIES pointing to OpenCASCADE_INCLUDE_DIR within targets.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Activities

git

2022-04-08 21:14

administrator   ~0107774

Branch CR32924 has been created by kgv.

SHA-1: 2b96af6b577f222525493bd0f5fff528e0ad674b


Detailed log of new commits:

Author: kgv
Date: Fri Apr 8 21:11:59 2022 +0300

    0032924: Configuration, CMake - export INTERFACE_INCLUDE_DIRECTORIES within targets
    
    Add 'INCLUDES' property within INSTALL targets.

kgv

2022-04-08 21:15

developer   ~0107775

Patch is ready for review
- OCCT: branch CR32924.

aml

2022-04-13 07:41

developer   ~0107903

Reviewed.

smoskvin

2022-04-16 11:35

administrator   ~0107997

Combination -
OCCT branch : IR-2022-04-15
master SHA - 879768fbf2e2c09089d7cd64a8f93b3c9c47d09c
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-04-15 SHA - db9f5fc1c0877a16922bb1bcbd006c614256ba97
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18524.440000000686 / 18453.560000000383 [+0.38%]
Products
Total CPU difference: 11765.190000000111 / 11767.510000000153 [-0.02%]
Windows-64-VC14:
OCCT
Total CPU difference: 20542.0625 / 20540.40625 [+0.01%]
Products
Total CPU difference: 13266.890625 / 13255.140625 [+0.09%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

Related Changesets

occt: master 1caf5fd3

2022-04-08 21:11:59

kgv


Committer: smoskvin Details Diff
0032924: Configuration, CMake - export INTERFACE_INCLUDE_DIRECTORIES within targets

Add 'INCLUDES' property within INSTALL targets.
Affected Issues
0032924
mod - adm/cmake/occt_toolkit.cmake Diff File

Issue History

Date Modified Username Field Change
2022-04-08 20:33 kgv New Issue
2022-04-08 20:33 kgv Assigned To => bugmaster
2022-04-08 21:14 git Note Added: 0107774
2022-04-08 21:15 kgv Assigned To bugmaster => aml
2022-04-08 21:15 kgv Status new => resolved
2022-04-08 21:15 kgv Steps to Reproduce Updated
2022-04-08 21:15 kgv Test case number => N/A
2022-04-08 21:15 kgv Note Added: 0107775
2022-04-13 07:41 aml Assigned To aml => bugmaster
2022-04-13 07:41 aml Status resolved => reviewed
2022-04-13 07:41 aml Note Added: 0107903
2022-04-16 11:35 smoskvin Status reviewed => tested
2022-04-16 11:35 smoskvin Note Added: 0107997
2022-04-16 15:25 smoskvin Changeset attached => occt master 1caf5fd3
2022-04-16 15:25 kgv Assigned To bugmaster => kgv
2022-04-16 15:25 kgv Status tested => verified
2022-04-16 15:25 kgv Resolution open => fixed